<?php
session_start();
   include_once("../scripts/connect.php");
   $conexion=conecta_default();
   
   include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("1")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session

   $cuenta=0;
$qCuenta = "SELECT COUNT(id_prod) FROM productos";
	  $cCuenta = mysqli_query($conexion, $qCuenta) or die ('Error (Registro No Encontrado (Generacion de Tabla)): ' . mysqli_error($conexion));
	  while($rCuenta = mysqli_fetch_row($cCuenta))
	  {
	      $cuenta = $rCuenta[0]+1; // Cantidad de Productos para el contador.
	   };

$precio1=$_POST["precio"];
$puntos1=$_POST["puntos"];	
$promon=$_POST["promoname"];
$totmix=$_POST["totprodmix"];	

echo"$promon $precio1 $puntos1";
	   function redondear($valor) {
$float_redondeado=round($valor * 100) / 100;
return $float_redondeado;
}

	   		// **********************************************************************************	
	   			 switch($tipop)
				{
					
					case "EFECTIVO": $pago_ef=$gtot; break;
					case "DEPOSITO": $pago_de=$gtot; break;
					case "TARJETA": $pago_tc=$gtot; break;
					case "PORPAGAR": $pago_xp=$gtot; break;
					
				}
			
			function FechaFormateada($FechaStamp) {
    $timezone = -6;//GTM -6 UTC-6 DF
    $hora = gmdate("g:i A", time() + 3600 * ($timezone + date("I"))); //<--Hora
    $ano = $FechaStamp[3]; //<-- A�o
    $mes = $FechaStamp[2]; //<-- n?mero de mes (01-31)
    $dia = $FechaStamp[1]; //<-- D�a del mes (1-31)
    $dialetra = $FechaStamp[0];  //D�a de la semana(0-7)
    switch ($dialetra) {
        case 0: $dialetra = "Domingo";
            break;
        case 1: $dialetra = "Lunes";
            break;
        case 2: $dialetra = "Martes";
            break;
        case 3: $dialetra = "Mi&eacute;rcoles";
            break;
        case 4: $dialetra = "Jueves";
            break;
        case 5: $dialetra = "Viernes";
            break;
        case 6: $dialetra = "S&aacute;bado";
            break;
    }


    switch ($mes) {
        case '01': $mesletra = "Enero";
            break;
        case '02': $mesletra = "Febrero";
            break;
        case '03': $mesletra = "Marzo";
            break;
        case '04': $mesletra = "Abril";
            break;
        case '05': $mesletra = "Mayo";
            break;
        case '06': $mesletra = "Junio";
            break;
        case '07': $mesletra = "Julio";
            break;
        case '08': $mesletra = "Agosto";
            break;
        case '09': $mesletra = "Septiembre";
            break;
        case '10': $mesletra = "Octubre";
            break;
        case '11': $mesletra = "Noviembre";
            break;
        case '12': $mesletra = "Diciembre";
            break;
    }
    return "$dialetra, $dia de $mesletra de $ano $hora";
}
$consulta = "SELECT DAYOFWEEK(NOW()),DAY(NOW()),MONTH(NOW()),YEAR(NOW())";
$q = mysqli_query($conexion, $consulta) or die('Error (select consec): ' . mysqli_error($conexion));
$Fecha = mysqli_fetch_array($q);
$fechaT = FechaFormateada($Fecha);
  		// **********************************************************************************
$qIP = "INSERT INTO promod
							    (	 
							      promodesc, precio, puntos, tipo_promo, prodmix, fechap, activa
							    ) 
							    VALUES 
							    (
								    '$promon', '$precio1','$puntos1','2','$totmix', curdate(),'1'
							     )";
					$cIP = mysqli_query($conexion, $qIP) or die ('Error (insert transacciones): ' . mysqli_error($conexion));
	
	$qa = "SELECT max(id_promo) FROM promod";
   $ca = mysqli_query($conexion, $qa) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
   while($ra = mysqli_fetch_row($ca))
   {
	   $transac = $ra[0];
	};	

   

   $gtot=0;
   
   echo"<table><tr valign=\"top\" height=\"470\">";
	   		echo "<td>
			
			<font size=\"2\">
			<br><bR>
			
			<center>
			<br>Producto de linea<table border=\"1\" cellspacing=\"0\" cellpadding=\"1\"><th>Cant</th><th>Producto</th>";
	   		for ($k=0; $k<$cuenta; $k++)
		   	{
		   		if (@$_POST["cant$k"] > 0)
				{	
					
	   				$A1[$k]=$_POST["cant$k"];
	   				$A2[$k]=$_POST["copia_nombreProd$k"];
	   				$A3[$k]=$_POST["copia_precio$k"];
					$A4[$k]=$_POST["copia_id_prod$k"];
					$tot=$A1[$k]*$A3[$k];
					$gtot+=$tot;
				$qP1 = "INSERT INTO promo
							    (	 
							    promo, idprod, cant, tipo_prod 
							    ) 
							    VALUES 
							    (
								 '$transac', '$A4[$k]','$A1[$k]', '1'
							     )";
					$cP1 = mysqli_query($conexion, $qP1) or die ('Error (insert pedido): ' . mysqli_error($conexion));	
					
		   			echo "<font size=2><tr><td align=\"center\" width=\"20\"><font size=2>$A1[$k]</font></td>  
					<td align=\"center\" width=\"140\"><font size=2>$A2[$k]</font></td>  
					</tr>";
		   		}	
		   	}
			
		   	echo "</table><table><tr><td width=\"20\"></td><td align=\"center\" width=\"140\"> Puntos $puntos1</td><td align=\"center\" width=\"23\">Total:</td><td align=\"center\" width=\"70\">$ $precio1</td></tr>
			
			
			</table></font>
			
			
			<font size=\"2\">
			<br><bR>
			
						
			<font size=\"2\">
			<br><bR>
			
			<center>
						
			
			
			</center><br><font size=\"2\">ORIGINAL - Distribuidor</font>
			</td>";
			
			echo "<td width=\"60\"></td><td><img src=\"notatop.jpg\" width=\"300\">
			<font size=\"2\">
			<br><bR>
			<b> Pedido $idcdin -$trans Pago: $tipop </b>";
			if($ipago==2){echo"<br> <b> Ref: </b>$ifolio &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <b> Fecha: </b>$ifecha ";}
			echo"<br>$fechaT<br> Asignar a RFC: $dg_rfc &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; CD: $idcdin  &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; CDE: $cdent
			<br>Nombre: $dg_nom $dg_apP $dg_apM
			<center>
			<br><table border=\"1\" cellspacing=\"0\" cellpadding=\"1\"><th>Cant</th><th>Producto</th><th>Precio</th><th>Total</th>";
	   		for ($k=0; $k<$cuenta; $k++)
		   	{
		   		if (@$_POST["cant$k"] > 0)
				{	
	   				$A1[$k]=$_POST["cant$k"];
	   				$A2[$k]=$_POST["copia_nombreProd$k"];
	   				$A3[$k]=$_POST["copia_precio$k"];
					$A4[$k]=$_POST["copia_id_prod$k"];
					$tot=$A1[$k]*$A3[$k];
					$gtot+=$tot;
		   			echo "<font size=2><tr><td align=\"center\" width=\"20\"><font size=2>$A1[$k]</font></td>  
					<td align=\"center\" width=\"140\"><font size=2>$A2[$k]</font></td>  
					<td align=\"center\" width=\"23\"><font size=2>$A3[$k]</font></td>
					<td align=\"center\" width=\"70\"><font size=2>$tot</font></td></tr>";
		   		}	
		   	}
			if($ipago==3){echo"<tr><td align=\"center\" width=\"20\"><font size=2>1</font></td>  
					<td align=\"center\" width=\"140\"><font size=2>Plata 1000 TC</font></td>  
					<td align=\"center\" width=\"23\"><font size=2>$comtarj</font></td>
					<td align=\"center\" width=\"70\"><font size=2>$comtarj</font></td></tr>";}
			
		   	echo "</table><table><tr><td width=\"20\"></td><td align=\"center\" width=\"140\"> Puntos $ptos</td><td align=\"center\" width=\"23\">Total:</td><td align=\"center\" width=\"70\">$ $gtot2</td></tr>
			
			</table></font></center><br>
			<font size=\"2\">COPIA - CD</font></td></tr>";

echo"<tr>";
	   		echo "<td><br>
			<font size=\"5\">
			<center><b>Control Inventario</B></center> </font><font size=\"2\"><br><b>Pedido $idcdin -$trans</b>
			&nbsp;&nbsp;&nbsp;&nbsp;Realizo: $idcdin &nbsp;&nbsp;&nbsp;&nbsp; Entrego: $cdent";
			
			echo"<br>$fechaT
			<br>Nombre: $dg_nom $dg_apP $dg_apM
			<br><br><table><th>Cant</th><th>Producto</th><th>Precio</th><th>Total</th>";
	   		for ($k=0; $k<$cuenta; $k++)
		   	{
		   		if (@$_POST["cant$k"] > 0)
				{	
	   				$A1[$k]=$_POST["cant$k"];
	   				$A2[$k]=$_POST["copia_nombreProd$k"];
	   				$A3[$k]=$_POST["copia_precio$k"];
					$A4[$k]=$_POST["copia_id_prod$k"];
					$tot=$A1[$k]*$A3[$k];
					$gtot+=$tot;
		   			echo "<font size=2><tr><td align=\"center\" width=\"20\"><font size=2>$A1[$k]</font></td>  
					<td align=\"center\" width=\"140\"><font size=2>$A2[$k]</font></td>  
					<td align=\"center\" width=\"23\"><font size=2>$A3[$k]</font></td>
					<td align=\"center\" width=\"70\"><font size=2>$tot</font></td></tr>";
		   		}	
		   	}
			
			
		   	echo "<tr><td></td><td></td><td>Total:</td><td align=\"center\" width=\"70\">$ $gtot2</td></tr>
			
			</table></font>
			<center><br><br>_____________________<br>Recib&iacute; Mercancia";echo"</td>";
			echo "<td width=\"30\"></td><td><br><font size=\"5\">
			<center><b>Control Admin.</B></center>
			<font size=\"2\"><br><b>Transacci&oacute;n $idcdin -$trans</b> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; RFC: $dg_rfc 
			 ";
			if($ipago==2){echo"<br><b> Ref: </b>$ifolio &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <b> Fecha: </b>$ifecha ";}
			echo"<br>$fechaT
			
			<br>Nombre: $dg_nom $dg_apP $dg_apM
			<br>CD:<B>$idcdin</B> $nombrecentro
			<br><br><table><th>Cant</th><th>Producto</th><th>Precio</th><th>Total</th>";
	   		for ($k=0; $k<$cuenta; $k++)
		   	{
		   		if (@$_POST["cant$k"] > 0)
				{	
	   				$A1[$k]=$_POST["cant$k"];
	   				$A2[$k]=$_POST["copia_nombreProd$k"];
	   				$A3[$k]=$_POST["copia_precio$k"];
					$A4[$k]=$_POST["copia_id_prod$k"];
					$tot=$A1[$k]*$A3[$k];
					$gtot+=$tot;
		   			echo "<font size=2><tr><td align=\"center\" width=\"20\"><font size=2>$A1[$k]</font></td>  
					<td align=\"center\" width=\"140\"><font size=2>$A2[$k]</font></td>  
					<td align=\"center\" width=\"23\"><font size=2>$A3[$k]</font></td>
					<td align=\"center\" width=\"70\"><font size=2>$tot</font></td></tr>";
		   		}	
		   	}
			if($ipago==3){echo"<tr><td align=\"center\" width=\"20\"><font size=2>1</font></td>  
					<td align=\"center\" width=\"140\"><font size=2>Plata 1000 TC</font></td>  
					<td align=\"center\" width=\"23\"><font size=2>$comtarj</font></td>
					<td align=\"center\" width=\"70\"><font size=2>$comtarj</font></td></tr>";}
			
		   	echo "<tr><td></td><td align=\"center\">Puntos $ptos</td><td>Total:</td><td align=\"center\" width=\"70\">$ $gtot2</td></tr>
			
			</table></font>
			<center><table border=\"1\"><tr>
			<td>EF</td><td>DE</td><td>TC</td><td>RE</td><td>VO</td><td>XP</td>
			</tr>
			<tr>
			<td>$pago_ef</td><td>$pago_de</td><td>$pago_tc</td><td>$pago_re</td><td>$pago_vo</td><td>$pago_xp</td>
			</tr></table>";echo"</td></tr>";
?>


   



